Skip to content

Ideogram Mixed Chart ​

Ideogram's hybrid is used to generate new maps based on photo URLs and prompts that are suitable for recreated after reference images mains, styles or diagrams are preserved.

API Path ​

MethodologyPathReturns by
POST/ideogram/remixReturns remixed images; follow the actual response.

Example request ​

bash
curl https://moonnexai.com/ideogram/remix \
  -H "Authorization: Bearer <MOONNEXAI_API_KEY>" \
  -H "Content-Type: application/json" \
  -d '{
    "image_url": "https://example.com/input.png",
    "prompt": "Keep the product shape and create a brighter studio background.",
    "aspect_ratio": "1:1"
  }'

Common field ​

fieldAnnotations
image_urlEnter the image URL.
promptMixed generation description.
aspect_ratioOutput aspect ratio.

Results-based processing ​

sceneTreatment
Keep the original figureSaves input URL, prompt and result URL.
Multi-wheeledTake the last result as next image_url.
URL invalidCreate a stable URL first through Image Media Asset.

Access Recommendations ​

  • Enter a picture URL that is accessible and that is as long as possible.
  • Prompt also identifies those parts that need to be retained and those that need to be changed.
  • If you enter a picture from a local file, you can first get a stable URL by Uploads and assets.

Relevant Pages ​